package com.lqkj.cmlcp.module.authority.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mybatisflex.annotation.Column;
import com.mybatisflex.annotation.Id;
import com.mybatisflex.annotation.KeyType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;


@Accessors(chain = true)
@Data(staticConstructor = "create")
@NoArgsConstructor
@AllArgsConstructor
public class RoleInfo {

    @Id(keyType = KeyType.Auto)
    @Schema(description = "角色ID")
    private Integer roleId;

    @Schema(description = "角色名称")
    private String roleName;

    @Schema(description = "")
    private String enName;

    @JsonFormat(pattern = "YYYY-MM-dd HH:mm:ss", timezone = "Asia/Shanghai")
    private Date updateTime;

    @Column(ignore = true)
    private List<Integer> authorityList;

    @Column(ignore = true)
    private String auths;
}
