package com.lqkj.cmlcp.module.base.controller;


import com.lqkj.cmlcp.message.Result;
import com.lqkj.cmlcp.module.base.service.BaseService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@RestController
@RequestMapping("/base")
public class BaseController {

    @Autowired
    private BaseService baseService;

    @Operation(
            summary = "5.1.3.33 空间信息json文件上传接口",
            description = "5.1.3.33 空间信息json文件上传接口",
            parameters = {
                    @Parameter(name = "file", description = "空间信息json文件上传接口", required = true)
            }
    )
    @PostMapping({"/addJsonFile"})
    public Result<String> addJsonFile(MultipartFile file) {
        return Result.ok(baseService.uploadJsonFile(file, "base/json/"));
    }
}
