package com.lqkj.cmlcp.module.test.service.impl;

import com.lqkj.cmlcp.module.test.domain.Captcha;
import com.lqkj.cmlcp.module.test.mapper.CaptchaMapper;
import com.lqkj.cmlcp.module.test.service.CaptchaService;
import com.mybatisflex.spring.service.impl.ServiceImpl;
import jakarta.annotation.Resource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Objects;


@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true)
public class CaptchaServiceImpl extends ServiceImpl<CaptchaMapper, Captcha> implements CaptchaService {
    @Autowired
    private CaptchaMapper captchaMapper;

    @Resource
    private RedisTemplate<String, List<Captcha>> redisTemplate;


    @Override
    public List<Captcha> findAll() {
        var test = redisTemplate.opsForValue().get("test");
        if (Objects.nonNull(test)){
            return test;
        }
        var list = super.list();
        redisTemplate.opsForValue().set("test",list);
        return super.list();

    }

    @Override
    public Captcha findById() {
        return captchaMapper.selectOneById(1);
    }
}
